Get Projects
curl --request GET \
--url https://api.us.vartiq.com/api/v1/projects \
--header 'companyid: <companyid>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.vartiq.com/api/v1/projects"
headers = {
"companyid": "<companyid>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {companyid: '<companyid>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.vartiq.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"company": "<string>",
"environment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Projects
Get Projects
GET
/
api
/
v1
/
projects
Get Projects
Headers
string
required
The unique identifier of your organization
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
array
Array of project objects
Show Properties
Show Properties
string
Unique identifier for the project
string
Name of the project
string
Description of the project (if provided)
string
Company ID associated with the project
string
Environment of the project (e.g., “development”)
string
Timestamp when the project was created
string
Timestamp when the project was last updated
Response Example
{
"success": true,
"message": "Projects retrieved successfully",
"data": [
{
"id": "proj_01JWB8YZNBQDJA3VZ3F8Z9C5NX",
"name": "project stage24",
"company": "6836eb8d404feca42c262a86",
"environment": "development",
"createdAt": "2025-05-28T11:03:12.308Z",
"updatedAt": "2025-05-28T11:03:12.308Z"
}
]
}
⌘I